[debian-edu-commits] debian-edu/pkg-team/ 33/159: this looks good…

Dominik George natureshadow-guest at moszumanska.debian.org
Tue Feb 23 10:04:21 UTC 2016


This is an automated email from the git hooks/post-receive script.

natureshadow-guest pushed a commit to branch master
in repository xrdp.

commit a85e93a21201e313ed02b963fca161559d3cec61
Author: mirabilos <tg at mirbsd.org>
Date:   Wed Aug 5 21:40:46 2015 +0200

    this looks good…
---
 README.source       |  5 +++++
 patches/config.diff | 26 ++++++++++++++++++++++++++
 patches/series      |  1 +
 rules               |  4 ++++
 xrdp.postinst       | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 xrdp.postrm         | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 130 insertions(+)

diff --git a/README.source b/README.source
index 3daa5c1..c6ef05d 100644
--- a/README.source
+++ b/README.source
@@ -1,5 +1,10 @@
 TODO:
 
+- patch these files:
+  * debian/xrdp/etc/xrdp/startwm.sh
+  * debian/xrdp/lib/systemd/system/xrdp-sesman.service
+  * debian/xrdp/lib/systemd/system/xrdp.service
+
 - build and install the pulseaudio plugin
   from sesman/chansrv/pulse but there is no pulseaudio-modules-dev
 
diff --git a/patches/config.diff b/patches/config.diff
new file mode 100644
index 0000000..0ef771a
--- /dev/null
+++ b/patches/config.diff
@@ -0,0 +1,26 @@
+# DP: config patches for Debian
+
+--- a/sesman/startwm.sh
++++ b/sesman/startwm.sh
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/bin/bash
+ 
+ #start the window manager
+ wm_start()
+--- a/xorgxrdp/xrdpdev/xorg.conf
++++ b/xorgxrdp/xrdpdev/xorg.conf
+@@ -12,10 +12,9 @@ Section "ServerFlags"
+ EndSection
+ 
+ Section "Files"
+-    FontPath "/usr/X11R6/lib/X11/fonts/misc/:unscaled"
+-    FontPath "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
+-    FontPath "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
+-    FontPath "/usr/X11R6/lib/X11/fonts/viewtouch"
++    FontPath "/usr/share/fonts/X11/misc/:unscaled"
++    FontPath "/usr/share/fonts/X11/75dpi/:unscaled"
++    FontPath "/usr/share/fonts/X11/100dpi/:unscaled"
+ EndSection
+ 
+ Section "Module"
diff --git a/patches/series b/patches/series
index ce9c05d..9627809 100644
--- a/patches/series
+++ b/patches/series
@@ -1,3 +1,4 @@
 debian-manpage.diff
 libtoolise.diff
 submake.diff
+config.diff
diff --git a/rules b/rules
index d14769f..f555911 100755
--- a/rules
+++ b/rules
@@ -35,4 +35,8 @@ override_dh_auto_configure:
 
 override_dh_auto_install:
 	dh_auto_install -v
+	# this file scares me
+	rm -f debian/xrdp/etc/xrdp/xrdp.sh
+	# Policy
+	find debian/xrdp/ -name \*.la -print0 | xargs -0 rm -f --
 	exit 1
diff --git a/xrdp.postinst b/xrdp.postinst
new file mode 100644
index 0000000..644d462
--- /dev/null
+++ b/xrdp.postinst
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+set -e
+
+# This maintainer script can be called the following ways:
+#
+# * new-postinst "configure" [$most_recently_configured_version]
+# The package is unpacked; all dependencies are unpacked and, when there
+# are no circular dependencies, configured.
+#
+# * old-postinst "abort-upgrade" $new_version
+# * conflictors-postinst "abort-remove" "in-favour" $package
+#	$new_version
+# * postinst "abort-remove"
+# * deconfigureds-postinst "abort-deconfigure" "in-favour"
+#	$failed_install_package $fip_version ["removing"
+#	$conflicting_package $cp_version]
+# The package is unpacked; all dependencies are at least Half-Installed,
+# previously been configured, and not removed. In some error situations,
+# dependencies may not be even fully unpacked.
+#
+# * postinst "triggered" "${triggers[*]}"
+# For trigger-only calls, i.e. if "configure" is not called.
+
+case $1 in
+configure)
+	test -e /etc/xrdp/rsakeys.ini || xrdp-keygen xrdp auto
+	;;
+
+abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+triggered)
+	;;
+
+*)
+	echo >&2 "postinst called with unknown subcommand '$1'"
+	exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/xrdp.postrm b/xrdp.postrm
new file mode 100644
index 0000000..d083007
--- /dev/null
+++ b/xrdp.postrm
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+set -e
+
+# This maintainer script can be called the following ways:
+#
+# * postrm "remove"
+# * postrm "purge"
+# * old-postrm "upgrade" $new_version
+# * disappearers-postrm "disappear" $overwriter $o_version
+# The package's files have been removed or replaced; only Essential pak-
+# kages may be available; skip gracefully actions requiring Depends.
+#
+# * new-postrm "failed-upgrade" $old_version
+# Called when 'old-postrm "upgrade"' fails; the new package is unpacked,
+# Essential packages and Pre-Depends are available; the latter have been
+# configured and never removed but may be Unpacked or Half-Configured.
+#
+# * new-postrm "abort-install" [$old_version]
+# * new-postrm "abort-upgrade" $old_version
+# Called when preinst fails; package is not unpacked. Essential packages
+# and (unpacked or Half-Configured) Pre-Depends are available.
+
+case $1 in
+remove)
+	;;
+
+purge)
+	rm -f /etc/xrdp/rsakeys.ini
+	rmdir --ignore-fail-on-non-empty /etc/xrdp
+	;;
+
+upgrade|disappear|failed-upgrade|abort-install|abort-upgrade)
+	;;
+
+*)
+	echo >&2 "postrm called with unknown subcommand '$1'"
+	exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/pkg-team/xrdp.git



More information about the debian-edu-commits mailing list